pcl::_PointNormal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointNormal:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
float curvature
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 826 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_PointNormal::curvature

Definition at line 834 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointNormal >::add(), pcl::common::IntensityFieldAccessor< pcl::PointNormal >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointNormal >::get(), pcl::Supervoxel< PointT >::getCentroidPointNormal(), pcl::common::IntensityFieldAccessor< pcl::PointNormal >::operator()(), pcl::SIFTKeypointFieldSelector< PointNormal >::operator()(), pcl::PointNormal::PointNormal(), and pcl::common::IntensityFieldAccessor< pcl::PointNormal >::set().

float pcl::_PointNormal::data_c[4]

Definition at line 836 of file point_types.hpp.

pcl::_PointNormal::PCL_ADD_NORMAL4D

Definition at line 829 of file point_types.hpp.

pcl::_PointNormal::PCL_ADD_POINT4D

Definition at line 828 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp